package com.bonus.canteen.core.account.v3.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("acc_wallet_info")
public class AccWalletInfo implements Serializable {
   @TableId
   private Long custId;
   private Long accId;
   private Integer walletId;
   private BigDecimal walletBal;
   private BigDecimal limitBalance;
   private BigDecimal frozenBalance;
   private LocalDateTime expiredTime;
   private BigDecimal lastSubsidyAmount;
   private LocalDateTime lastSubsidyTime;
   private LocalDateTime crtime;
   private LocalDateTime uptime;
   private Long updateId;
   @TableField(
      exist = false
   )
   private static final long serialVersionUID = 1L;

   public Long getCustId() {
      return this.custId;
   }

   public Long getAccId() {
      return this.accId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getWalletBal() {
      return this.walletBal;
   }

   public BigDecimal getLimitBalance() {
      return this.limitBalance;
   }

   public BigDecimal getFrozenBalance() {
      return this.frozenBalance;
   }

   public LocalDateTime getExpiredTime() {
      return this.expiredTime;
   }

   public BigDecimal getLastSubsidyAmount() {
      return this.lastSubsidyAmount;
   }

   public LocalDateTime getLastSubsidyTime() {
      return this.lastSubsidyTime;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Long getUpdateId() {
      return this.updateId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAccId(final Long accId) {
      this.accId = accId;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setWalletBal(final BigDecimal walletBal) {
      this.walletBal = walletBal;
   }

   public void setLimitBalance(final BigDecimal limitBalance) {
      this.limitBalance = limitBalance;
   }

   public void setFrozenBalance(final BigDecimal frozenBalance) {
      this.frozenBalance = frozenBalance;
   }

   public void setExpiredTime(final LocalDateTime expiredTime) {
      this.expiredTime = expiredTime;
   }

   public void setLastSubsidyAmount(final BigDecimal lastSubsidyAmount) {
      this.lastSubsidyAmount = lastSubsidyAmount;
   }

   public void setLastSubsidyTime(final LocalDateTime lastSubsidyTime) {
      this.lastSubsidyTime = lastSubsidyTime;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setUpdateId(final Long updateId) {
      this.updateId = updateId;
   }
}
